function battle_bai044(npcID)  --藤足蔓
  

    n=flag.GetBattleValue(12075)
    if n~=3 then
		a=battle.GetRndNumber(1,10)
		if a>=1 and a<=4 then
			n=n+1
			flag.SetBattleValue(12075,n)
			id = battle.GetRndPlayer()
			if id==128 and battle.CheckNpcStat(npcID,734)==1 and battle.CheckPlayerStat(128,735)==1 and battle.GetRndNumber(1,10)<=3 then
                battle.SetDamageScale(9999)
				player.RemoveStat(0,64,731)
			end
			battle.AtkToPlayer(id,1)     --普通攻击
		elseif a>=5 and a<=7 then
			id = battle.GetRndPlayer()
			battle.SetDamageScale(1.5)
			if id==128 and battle.CheckNpcStat(npcID,734)==1 and battle.CheckPlayerStat(128,735)==1 and battle.GetRndNumber(1,10)<=3 then
                battle.SetDamageScale(9999)
				player.RemoveStat(0,64,731)
			end
			battle.AtkToPlayer(id,2)     --2号攻击
			n=n+1
			flag.SetBattleValue(12075,n)
		else
		    players = {}               --用以储存场上玩家没有被麻痹的
			i=1
			for p=0,9,1 do
				pid=2^p
				if player.IsPlayerInBattle(pid)==1 and battle.CheckPlayerStat(pid,7)==0 and player.GetHP(pid,0)~=0 and battle.CheckPlayerStat(pid,28)==0 then
					players[i]=pid
					i=i+1
				end
			end
			j=#players
			if j>1 then
				o = battle.GetRndNumber(1,j)
				id = players[o]
				if battle.CheckNpcStat(npcID,734)==1 then
			    dead=1
			    else
			    dead=0
			    end
				battle.MagicToPlayer(id,1075,1)   --法术
				flag.SetBattleValue(12075,0)
			elseif j==1 then
				id = players[1]
				if battle.CheckNpcStat(npcID,734)==1 then
			    dead=1
			    else
			    dead=0
			    end
				battle.MagicToPlayer(id,1075,1)   --法术	
				flag.SetBattleValue(12075,0)				
			else
				id = battle.GetRndPlayer()
				if id==128 and battle.CheckNpcStat(npcID,734)==1 and battle.CheckPlayerStat(128,735)==1 and battle.GetRndNumber(1,10)<=3 then
                    battle.SetDamageScale(9999)
					player.RemoveStat(0,64,731)
			    end
				battle.AtkToPlayer(id,1)     --普通攻击
				flag.SetBattleValue(12075,0)
			end
		end
	else
		players = {}               --用以储存场上玩家没有被麻痹的
		i=1
		for p=0,9,1 do
			pid=2^p
			if player.IsPlayerInBattle(pid)==1 and battle.CheckPlayerStat(pid,7)==0 and player.GetHP(pid,0)~=0 and battle.CheckPlayerStat(pid,28)==0 then
				players[i]=pid
				i=i+1
			end
		end
		j=#players
		if j>1 then
			o = battle.GetRndNumber(1,j)
			id = players[o]
			if battle.CheckNpcStat(npcID,734)==1 then
			dead=1
			else
			dead=0
			end
			battle.MagicToPlayer(id,1075,1)   --法术
			flag.SetBattleValue(12075,0)
		elseif j==1 then
			id = players[1]
			if battle.CheckNpcStat(npcID,734)==1 then
			dead=1
			else
			dead=0
			end
			battle.MagicToPlayer(id,1075,1)   --法术	
			flag.SetBattleValue(12075,0)
		else
			id = battle.GetRndPlayer()
			if id==128 and battle.CheckNpcStat(npcID,734)==1 and battle.CheckPlayerStat(128,735)==1 and battle.GetRndNumber(1,10)<=3 then
                battle.SetDamageScale(9999)
				player.RemoveStat(0,64,731)
			end
			battle.AtkToPlayer(id,1)     --普通攻击
			flag.SetBattleValue(12075,0)
		end
	end
end